<?php	
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: stats-cycle_panel.php
+--------------------------------------------------------+
| Version: 1.00
| Author: Dark Fusion
| Developer(s): DrunkeN
| Web: www.dark-fusion.se
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include_once INFUSIONS."shoutbox_panel/infusion_db.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."stats-cycle_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."stats-cycle_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."stats-cycle_panel/locale/English.php";
}

    global $settings;
	$chars['sitename_chars'] = (strlen($settings['sitename']) >= 30 ? "width: 600px;" : 
	                           (strlen($settings['sitename']) <= 23 ? "width: 450px;" : "width: 500px;"));
add_to_head("<script type='text/javascript' src='".INFUSIONS."stats-cycle_panel/inc/jquery-cycle_plugin.js'></script>
<style type='text/css'>
    .no-new-today, .new-today { margin: 0px; padding:15px 20px 15px 55px; ".$chars['sitename_chars']." font: bold 12px verdana; -moz-box-shadow: 0 0 5px #888; -webkit-box-shadow: 0 0 5px#888; box-shadow: 0 0 5px #888; }
    .new-today { background: transparent url('".INFUSIONS."stats-cycle_panel/images/new.png') no-repeat 10px center; }
    .no-new-today { background: transparent url('".INFUSIONS."stats-cycle_panel/images/no_new.png') no-repeat 10px center; }
    .stats-cycle span { font-family:Cambria,Georgia,'Times New Roman',Times,serif; font-size:normal; color:#666; }
</style>");

    //Count comments as have been posted current on day
    $count['comments'] = dbcount("(comment_id)", DB_COMMENTS, "comment_datestamp > UNIX_TIMESTAMP(CURDATE())");
    //Count shout box posts as have been posted on current day
	$count['shouts'] = dbcount("(shout_id)", DB_SHOUTBOX, "shout_datestamp > UNIX_TIMESTAMP(CURDATE())");
	//Count forum posts as have been posted on current day
    $count['posts'] = dbcount("(post_id)", DB_POSTS, "post_datestamp > UNIX_TIMESTAMP(CURDATE())");
	//Count users as has registered on current day
    $count['users'] = dbcount("(user_id)", DB_USERS, "user_joined > UNIX_TIMESTAMP(CURDATE())");
	//Count news as has been posted on current day
	$count['news'] = dbcount("(news_id)", DB_NEWS, "news_datestamp > UNIX_TIMESTAMP(CURDATE())");
	//Count downloads as has been added on current day
	$count['downloads'] = dbcount("(download_id)", DB_DOWNLOADS, "download_datestamp > UNIX_TIMESTAMP(CURDATE())");
	//Count photos as has been added on current day
	$count['photos'] = dbcount("(photo_id)", DB_PHOTOS, "photo_datestamp > UNIX_TIMESTAMP(CURDATE())");
	
	//Count all above to get the total of things as is new on current day
	$count['total'] = ($count['comments']+$count['posts']+$count['shouts']+$count['users']+$count['news']+$count['downloads']+$count['photos']);
	
	//If total is more than 0 then the icon class with active lamp icon class will be used. If not more than 0 then the inactive lamp icon class will be used.
	$class['title_class'] = ($count['total'] > 0 ? "title='".$locale['scp_000']."' class='new-today'" : "title='".$locale['scp_000a']."' class='no-new-today'");
	opentable($locale['scp_000']);
	echo "<div align='center'><div ".$class['title_class'].">".$locale['scp_001']."<span class='stats-cycle'>";
	echo "<span style='color: #9f9e9e;'>".$count['posts'].$locale['scp_002']."</span>";
	echo "<span style='color:#9f9e9e; display:none'>".$count['users'].$locale['scp_003']."</span>";
	echo "<span style='color:#9f9e9e; display:none'>".$count['shouts'].$locale['scp_003']."</span>";
	echo "<span style='color:#9f9e9e; display:none'>".$count['comments']." Comment(s)</span>";
	echo "<span style='color:#9f9e9e; display:none'>".$count['news'].$locale['scp_004']."</span>";
	echo "<span style='color:#9f9e9e; display:none'>".$count['downloads'].$locale['scp_005']."</span>";
	echo "<span style='color:#9f9e9e; display:none'>".$count['photos'].$locale['scp_006']."</span>";
	echo "</span>".$locale['scp_007'].$settings['sitename'].$locale['scp_008'].$count['total']."</div>\n</div>\n";
	closetable();
	add_to_footer("<script type='text/javascript'>
	var cycleStats = function(n) {
					setTimeout(function() {
						var num = $('.stats-cycle span').length;
						n = n || 0;
						$('.stats-cycle span').eq(n).fadeOut(700, function() {
							$('.stats-cycle span').eq((n+1)%num).fadeIn(700, function() {
								cycleStats((n+1)%num);
							});
						});
					}, 3000);
				};

				cycleStats();</script>");
?>